Package org.opensaml.saml.metadata.resolver.index.impl

# Class EndpointMetadataIndex.DefaultEndpointSelectionPredicate

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.EndpointMetadataIndex.DefaultEndpointSelectionPredicate

All Implemented Interfaces:
  `Predicate<Endpoint>`

Enclosing class:
  EndpointMetadataIndex

public static class EndpointMetadataIndex.DefaultEndpointSelectionPredicate extends Object implements Predicate<Endpoint>
The default endpoint selection predicate, which evaluates an `Endpoint` using a map of `QName` endpoint types, indexed by role type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<QName,Set<QName>>`
`endpointTypes`
The indexable endpoint types.

## Constructor Summary

Constructors
Constructor
Description
`DefaultEndpointSelectionPredicate()`
Constructor.
`DefaultEndpointSelectionPredicate(Map<QName,Set<QName>> indexableTypes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Endpoint endpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### endpointTypes

@Nonnull private Map<QName,Set<QName>> endpointTypes
The indexable endpoint types.

## Constructor Details

### DefaultEndpointSelectionPredicate

public DefaultEndpointSelectionPredicate()
Constructor.

### DefaultEndpointSelectionPredicate

public DefaultEndpointSelectionPredicate(@ParameterName(name="indexableTypes") @Nonnull Map<QName,Set<QName>> indexableTypes)
Constructor.

Parameters:
  `indexableTypes` - a map controlling the types of endpoints to index

## Method Details

### test

public boolean test(@Nullable Endpoint endpoint)

Specified by:
  `test` in interface `Predicate<Endpoint>`